=== debian/changelog ===
libsdl2 (2.0.9+dfsg1-1ubuntu1.19.04.1) disco-security; urgency=medium

  * SECURITY UPDATE: heap-based buffer over-read in Blit1to4
    - debian/patches/CVE-2019-7635.diff: add error checking to SDL_LoadBMP_RW
    - CVE-2019-7635
  * SECURITY UPDATE: heap-based buffer over-read in Map1toN and
     SDL_GetRGB
    - debian/patches/CVE-2019-7636_CVE-2019-7638.patch: add error checking to 
      SDL_LoadBMP_RW
    - CVE-2019-7636
    - CVE-2019-7638

 -- Avital Ostromich <avital.ostromich@canonical.com>  Wed, 28 Aug 2019 14:05:49 -0400

libsdl2 (2.0.9+dfsg1-1ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build-depend on libmirclient-dev
    - Explicitly enable --enable-video-mir in rules

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 06 Feb 2019 11:26:19 +0100

libsdl2 (2.0.9+dfsg1-1) unstable; urgency=medium

  * New upstream release. (Closes: #914251)
  * Drop SDL2-dynapi-symbol-resolution-fix.patch, applied upstream.
  * Refresh fix-cross-building-907711.patch
  * Bump SHLIBVER to 2.0.9.

 -- Felix Geyer <fgeyer@debian.org>  Sat, 02 Feb 2019 17:13:17 +0100

libsdl2 (2.0.8+dfsg1-6ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build-depend on libmirclient-dev
    - Explicitly enable --enable-video-mir in rules

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Oct 2018 19:08:46 +0100

libsdl2 (2.0.8+dfsg1-6) unstable; urgency=medium

  * d/rules: Add @ in 'tar --mtime="@$(SOURCE_DATE_EPOCH)"', otherwise the
    date is not valid

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 25 Oct 2018 01:42:18 +0200

libsdl2 (2.0.8+dfsg1-5) unstable; urgency=medium

  * Bump Policy Standards-Version to 4.2.1 (no changes needed)
  * d/rules: include /usr/share/dpkg/architecture.mk and .../pkg-info.mk
    to provide DEB_HOST_ARCH_CPU, DEB_HOST_MULTIARCH and
    SOURCE_DATE_EPOCH, instead of getting them through shell invocations.
  * d/watch: Switch to version=4
  * Switch to debhelper compat level v11
    - Force examples to be installed in libsdl2-doc
  * d/patches:
    - add fix-cross-building-907711.patch to fix cross-building by using
      the right pkg-config depending on the architecture (Closes: #907711)
      Thanks Helmut Grohne for the report and the patch.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 20 Oct 2018 12:51:58 +0200
