=== debian/changelog ===
libsdl2 (2.0.9.4-1+eagle) unstable; urgency=medium

  * update

 -- Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>  Tue, 09 Feb 2021 12:36:45 +0800

libsdl2 (2.0.9.3-1+dde) unstable; urgency=medium

  * add deepin-stream-write-error.patch
  * sdl向pulseaudio写入数据错误时打印日志，客户端可捕获该异常关闭设备并清空资源

 -- Huang Jie <huangjie@uniontech.com>  Thu, 21 Jan 2021 19:30:31 +0800

libsdl2 (2.0.9.1-1+dde) unstable; urgency=medium

  * add SDL_fix_Chinese_input.patch
  * add SDL_fix_clipboard_crash_issuse.patch
  * add SDL_fix_Restore.patch
  * 针对安卓模拟器进行的修改，主要是与输入法、最小化显示有关

 -- Hu Feng <hufeng@uniontech.com>  Wed, 23 Sep 2020 16:29:39 +0800
