## libsdl2 2.0.10%2Bdfsg1

=== debian/changelog ===
libsdl2 (2.0.10+dfsg1-2~mx19+1) mx; urgency=medium

  * Repackage upstream release for MX 19.

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Sat, 15 Feb 2020 16:44:38 -0500

libsdl2 (2.0.10+dfsg1-2) unstable; urgency=medium

  [ Simon McVittie ]
  * d/tests: Add a test that detecting SDL2 via CMake does not regress.
    This is the sort of thing that could easily regress while solving #909740.
  * Install all headers in an architecture-specific location.
    This approach was suggested by Adrian Bunk on #909740, as one of several
    possible ways to avoid SDL_config.h colliding between architectures.
    Because this approach uses a different @includedir@ for each architecture,
    we can no longer have @includedir@ in sdl2-config.in: that would result
    in non-co-installability. However, simply removing it (similar to
    no-libdir.patch) is not an option, because the SDL 2 headers are not
    on the default include path (and they cannot be added to it without
    breaking parallel-installability of SDL 1.2 or a hypothetical future
    SDL 3). Instead, patch sdl-config.in to ask pkg-config for its CFLAGS
    and LIBS. This can supersede the previous no-libdir.patch.
    This relies on the assumption that cross-compilation will always set
    PKG_CONFIG, even if that environment variable is not otherwise used by
    the build system that is invoking sdl2-config.
    The sdl2-config.cmake.in part of no-libdir.patch can simply be dropped,
    because that file is installed to an architecture-specific location
    anyway, namely ${libdir}/cmake.
  * Mark libsdl2-dev as Multi-Arch: same (Closes: #909740)

  [ Gianfranco Costamagna ]
  * Upload part of Ubuntu delta to Debian

  [ Timo Aaltonen ]
  * rules: Disable GLES1, it's getting enabled because libgles-dev ships
    GLES1 headers now, but they have conflicting types against the ones
    SDL has.

  [ Steve Langasek ]
  * Make autopkgtests cross-test-friendly. (Closes: #946496)

  [ Felix Geyer ]
  * Drop build-all autopkgtest.
    - We already have tests that check if building against SDL2 with pkg-config,
      sdl2-config and cmake works correctly.
    - It has a large overhead as it rebuilds SDL2 and requires supporting
      cmake as a second buildsystem.
  * Add the non-multiarch include dir to pkg-config cflags for compatibility.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 02 Feb 2020 23:02:25 +0100

libsdl2 (2.0.10+dfsg1-1) unstable; urgency=medium

  * New upstream release. (Closes: #939249)
    - Fixes warnings with -Wundef on non-x86 hosts. (Closes: #892087)
    - Fixes CVE-2019-7572, CVE-2019-7573, CVE-2019-7574, CVE-2019-7575,
      CVE-2019-7576, CVE-2019-7577, CVE-2019-7578, CVE-2019-7635,
      CVE-2019-7636, CVE-2019-7638 and CVE-2019-13626 (Closes: #924610)
  * Drop fix-cross-building-907711.patch, fixed upstream.
  * Bump SHLIBVER to 2.0.10.
  * Add support for nodoc build-profile.
  * Switch to debhelper compat level 12.
  * Cherry-pick upstream fix for CVE-2019-13616.
  * Mark autopkgtests as superficial.

 -- Felix Geyer <fgeyer@debian.org>  Thu, 19 Sep 2019 23:50:39 +0200
