=== debian/control ===
--- 
+++ 
@@ -1,15 +1,11 @@
 Source: libsdl2
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
 XSBC-Original-Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
-Uploaders:
- Sam Hocevar <sho@debian.org>,
- Manuel A. Fernandez Montecelo <mafm@debian.org>,
- Felix Geyer <fgeyer@debian.org>
 Standards-Version: 4.2.1
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  fcitx-libs-dev,
  libasound2-dev [linux-any],
  libdbus-1-dev,
@@ -18,7 +14,6 @@
  libgles2-mesa-dev [!hurd-any],
  libglu1-mesa-dev,
  libibus-1.0-dev,
- libmirclient-dev,
  libpulse-dev,
  libsndio-dev,
  libudev-dev [linux-any],
@@ -41,7 +36,7 @@
  libsamplerate0-dev,
  wayland-protocols
 Build-Depends-Indep:
- doxygen
+ doxygen <!nodoc>
 Vcs-Git: https://salsa.debian.org/sdl-team/libsdl2.git
 Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl2
 Homepage: https://www.libsdl.org/
@@ -68,6 +63,7 @@
 Package: libsdl2-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends:
  libasound2-dev [linux-any],
  libdbus-1-dev,
@@ -76,7 +72,6 @@
  libgles2-mesa-dev [!hurd-any],
  libglu1-mesa-dev,
  libibus-1.0-dev,
- libmirclient-dev,
  libpulse-dev,
  libsdl2-2.0-0 (= ${binary:Version}),
  libsndio-dev,
@@ -95,6 +90,7 @@
  libxt-dev,
  libxv-dev,
  libxxf86vm-dev,
+ pkg-config,
  ${misc:Depends}
 Conflicts:
  libsdl-1.3-dev
@@ -111,6 +107,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
+Build-Profiles: <!nodoc>
 Depends:
  ${misc:Depends},
  libjs-jquery
