=== debian/tests/control ===
Tests: build
Depends: libsdl2-dev, build-essential
Restrictions: superficial, allow-stderr

Tests: cmake
Depends: build-essential, cmake, libsdl2-dev
Restrictions: superficial, allow-stderr

Tests: related-library
Depends: build-essential, libsdl2-dev, libsdl2-ttf-dev
Restrictions: superficial, allow-stderr
