=== debian/control ===
--- 
+++ 
@@ -1,8 +1,11 @@
 Source: libsdl2
 Priority: optional
 Section: libs
-Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
-XSBC-Original-Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
+Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Sam Hocevar <sho@debian.org>,
+ Manuel A. Fernandez Montecelo <mafm@debian.org>,
+ Felix Geyer <fgeyer@debian.org>
 Standards-Version: 4.2.1
 Build-Depends:
  debhelper-compat (= 12),
@@ -90,7 +93,6 @@
  libxt-dev,
  libxv-dev,
  libxxf86vm-dev,
- pkg-config,
  ${misc:Depends}
 Conflicts:
  libsdl-1.3-dev
