## libsdl2 2.0.12+dfsg1

=== debian/changelog ===
libsdl2 (2.0.12+dfsg1-4) unstable; urgency=medium

  * Team upload
  * Add graphwiz to Build-Depends-Indep for the dot command.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 03 Oct 2020 22:53:14 +0200

libsdl2 (2.0.12+dfsg1-3) unstable; urgency=medium

  * Team upload
  * Add libdrm-dev to Build-Depends to get the kmsdrm video driver
    working, thanks Matthew Harm Bekkema (Closes: #971529).

 -- Fabian Greffrath <fabian@debian.org>  Sat, 03 Oct 2020 22:11:05 +0200

libsdl2 (2.0.12+dfsg1-2) unstable; urgency=medium

  * Team upload

  [ Steve Langasek ]
  * use clang:native instead of clang in autopkgtests, to make
    them cross-testing friendly

  [ RALOVICH, Kristof ]
  * debian: enable kmsdrm video driver as well

 -- Fabian Greffrath <fabian@debian.org>  Tue, 18 Aug 2020 11:15:22 +0200

libsdl2 (2.0.12+dfsg1-1) unstable; urgency=medium

  * Team upload
  * Upload v2.0.12 to unstable
  * d/tests/build: Exercise compilation using clang
  * d/rules: Provide compatibility symlinks to begin_code.h, close_code.h.
    If a project that (incorrectly?) #includes <SDL2/SDL_foo.h>, such as
    jag_0.3.5-5, is compiled with gcc, our symlink to SDL_platform.h is
    sufficient to make it work. However, when compiled with clang, we need
    to provide symlinks to everything that is required by SDL_config.h,
    recursively, due to different symlink behaviour between gcc and clang.
    (This is a variation on #952066.)
  * d/tests: Exercise the #952066-like situation with clang

 -- Simon McVittie <smcv@debian.org>  Tue, 26 May 2020 14:49:00 +0100

libsdl2 (2.0.12+dfsg1-1~exp1) experimental; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * New upstream release (Closes: #954660)
    - d/copyright: Update
    - d/copyright, d/gbp.conf: Exclude compiled shaders for macOS etc.
    - d/copyright, d/gbp.conf: Exclude non-free Steam Controller headers
      (these have been relicensed in the hg repository, so the exclusion
      can probably be dropped with 2.0.14, but as far as I can see they're
      only used on non-Linux platforms anyway)
  * Remove SHLIBVER, rely on debhelper compat 12 defaults

  [ Gianfranco Costamagna ]
  * Update copyright years
  * Drop CVE-2019-13616: upstream
  * Refresh no-libdir patch
  * Also install the sdl2-config-version.cmake file
  * Remove old dbgsym migration command
  * Remove signatures from signing key
  * Bump std-version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Apr 2020 14:19:49 +0100
