=== debian/control ===
--- 
+++ 
@@ -6,13 +6,15 @@
  Sam Hocevar <sho@debian.org>,
  Manuel A. Fernandez Montecelo <mafm@debian.org>,
  Felix Geyer <fgeyer@debian.org>
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Build-Depends:
  debhelper-compat (= 12),
  fcitx-libs-dev,
  libasound2-dev [linux-any],
  libdbus-1-dev,
+ libdrm-dev [linux-any],
  libegl1-mesa-dev [!hurd-any],
+ libgbm-dev [linux-any],
  libgl1-mesa-dev,
  libgles2-mesa-dev [!hurd-any],
  libglu1-mesa-dev,
@@ -39,10 +41,12 @@
  libsamplerate0-dev,
  wayland-protocols
 Build-Depends-Indep:
- doxygen <!nodoc>
+ graphviz <!nodoc>,
+ doxygen <!nodoc>,
 Vcs-Git: https://salsa.debian.org/sdl-team/libsdl2.git
 Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl2
 Homepage: https://www.libsdl.org/
+Rules-Requires-Root: no
 
 Package: libsdl2-2.0-0
 Architecture: any
