=== debian/rules ===
--- 
+++ 
@@ -3,16 +3,15 @@
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/pkg-info.mk
 
-SHLIBVER = 2.0.9
-
 confflags = --disable-rpath --enable-sdl-dlopen \
             --disable-nas --disable-esd --disable-arts \
             --disable-alsa-shared --disable-pulseaudio-shared \
             --enable-ibus \
-            --enable-video-mir \
             --disable-x11-shared --disable-video-directfb \
             --enable-video-opengles \
-            --enable-video-wayland --disable-wayland-shared
+            --disable-video-opengles1 \
+            --enable-video-wayland --disable-wayland-shared \
+            --enable-video-kmsdrm --disable-kmsdrm-shared
 
 # disable autoheader (invoked automatically by autoreconf), necessary in order
 # to use debhelper compat level v10 without overriding dh-autoreconf calls
@@ -49,6 +48,8 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(confflags)
 
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+
 override_dh_auto_build-indep:
 	GZIP="-9n" tar czf debian/examples.tar.gz test --owner=0 --group=0 --mode=go=rX,u+rw,a-s --clamp-mtime --mtime="@$(SOURCE_DATE_EPOCH)" --sort=name
 	doxygen docs/doxyfile
@@ -65,6 +66,8 @@
 override_dh_installexamples-indep:
 	dh_installexamples -i --doc-main-package=libsdl2-doc
 
+endif # !nocheck
+
 override_dh_auto_build-arch:
 	dh_auto_build -- V=1
 
@@ -73,8 +76,16 @@
 	rm -f debian/examples.tar.gz
 	rm -rf output
 
+override_dh_install:
+	mkdir -p debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/SDL2
+	mv debian/tmp/usr/include/SDL2/SDL_config.h debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/SDL2/_real_SDL_config.h
+	ln -s ../../SDL2/SDL_platform.h debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/SDL2/
+	ln -s ../../SDL2/begin_code.h debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/SDL2/
+	ln -s ../../SDL2/close_code.h debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/SDL2/
+	dh_install
+
 override_dh_missing:
-	dh_missing --fail-missing -XlibSDL2.la -XlibSDL2main.la -XlibSDL2_test.la
+	dh_missing --fail-missing
 
 override_dh_link:
 	# to address lintian warning
@@ -82,11 +93,5 @@
 	dh_link -plibsdl2-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2-2.0.so.0 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2-2.0.so
 	dh_link --remaining-packages
 
-override_dh_makeshlibs:
-	dh_makeshlibs -V"libsdl2-2.0-0 (>= $(SHLIBVER))"
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='libsdl2-dbg (<< 2.0.4+dfsg2-1~)'
-
 override_dh_installchangelogs:
 	dh_installchangelogs -- WhatsNew.txt
