## libsdl2 2.0.14%2Bdfsg2

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,8 @@
             --enable-video-opengles \
             --disable-video-opengles1 \
             --enable-video-wayland --disable-wayland-shared \
-            --enable-video-kmsdrm --disable-kmsdrm-shared
+            --enable-video-kmsdrm --disable-kmsdrm-shared \
+            --enable-hidapi
 
 # disable autoheader (invoked automatically by autoreconf), necessary in order
 # to use debhelper compat level v10 without overriding dh-autoreconf calls
@@ -41,24 +42,41 @@
   confflags += --disable--video-opengles
 endif
 
+# don't use libunwind even if it happens to be installed
+confflags += ac_cv_header_libunwind_h=no
 
 %:
 	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(confflags)
-
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	# test/configure.ac uses AC_PATH_X, so we need to pass in
+	# --x-includes and --x-libraries to avoid it wanting to use
+	# xmkmf to discover the right values.
+	dh_auto_configure \
+		--buildsystem=autoconf \
+		--sourcedirectory=$(CURDIR)/test \
+		--builddirectory=$(CURDIR)/debian/build-tests \
+		-- \
+		--x-includes=/usr/include \
+		--x-libraries=/usr/lib/$(DEB_HOST_MULTIARCH) \
+		SDL_CFLAGS=-I$(CURDIR)/include \
+		SDL_LIBS="-L$(CURDIR)/build/.libs -lSDL2" \
+		ac_cv_lib_SDL2_ttf_TTF_Init=no \
+		$(NULL)
 
 override_dh_auto_build-indep:
-	GZIP="-9n" tar czf debian/examples.tar.gz test --owner=0 --group=0 --mode=go=rX,u+rw,a-s --clamp-mtime --mtime="@$(SOURCE_DATE_EPOCH)" --sort=name
-	doxygen docs/doxyfile
+	GZIP="-9n" tar \
+		--exclude=autom4te.cache \
+		--owner=0 --group=0 --mode=go=rX,u+rw,a-s \
+		--clamp-mtime --mtime="@$(SOURCE_DATE_EPOCH)" \
+		--sort=name \
+		-czf debian/examples.tar.gz test
+	sed -e 's/FULL_PATH_NAMES *=.*/FULL_PATH_NAMES = NO/' < docs/doxyfile > debian/Doxyfile
+	cd docs && doxygen ../debian/Doxyfile
 	# useless files
-	find output -name "*.md5" -delete
-	find output -type d -empty -delete
-
-	find output -name "jquery.js" -delete
-	dh_link -plibsdl2-doc usr/share/javascript/jquery/jquery.js usr/share/doc/libsdl2-doc/html/jquery.js
+	find docs/output -name "*.md5" -delete
+	find docs/output -type d -empty -delete
 
 # Force examples to be installed in libsdl2-doc, it does not happen with compat
 # level v11 despite having the file debian/libsdl2-doc.examples (it gets
@@ -66,15 +84,30 @@
 override_dh_installexamples-indep:
 	dh_installexamples -i --doc-main-package=libsdl2-doc
 
-endif # !nocheck
-
 override_dh_auto_build-arch:
 	dh_auto_build -- V=1
+	dh_auto_build \
+		--buildsystem=autoconf \
+		--sourcedirectory=$(CURDIR)/test \
+		--builddirectory=$(CURDIR)/debian/build-tests \
+		-- \
+		V=1
 
 override_dh_auto_clean-indep:
 	dh_auto_clean
+	rm -f debian/Doxyfile
 	rm -f debian/examples.tar.gz
-	rm -rf output
+	rm -rf docs/output
+
+override_dh_auto_install-arch:
+	dh_auto_install -- V=1
+	dh_auto_install \
+		--buildsystem=autoconf \
+		--sourcedirectory=$(CURDIR)/test \
+		--builddirectory=$(CURDIR)/debian/build-tests \
+		-- \
+		installedtestsdir='/usr/lib/$(DEB_HOST_MULTIARCH)/installed-tests/SDL2' \
+		V=1
 
 override_dh_install:
 	mkdir -p debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/SDL2
